net.minecraftforge.oredict

## Class ShapelessOreRecipe

- java.lang.Object
- - net.minecraftforge.oredict.ShapelessOreRecipe

- All Implemented Interfaces:
    IRecipe

      public class ShapelessOreRecipe
      extends java.lang.Object
      implements IRecipe

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShapelessOreRecipe(Block result, java.lang.Object... recipe)`
    `ShapelessOreRecipe(Item result, java.lang.Object... recipe)`
    `ShapelessOreRecipe(ItemStack result, java.lang.Object... recipe)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ItemStack` | `getCraftingResult(InventoryCrafting var1)`
    `java.util.ArrayList<java.lang.Object>` | `getInput()` Returns the input for this recipe, any mod accessing this value should never manipulate the values in this array as it will effect the recipe itself.
    `ItemStack` | `getRecipeOutput()`
    `int` | `getRecipeSize()`
    `boolean` | `matches(InventoryCrafting var1, World world)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShapelessOreRecipe

          public ShapelessOreRecipe(Block result,
                            java.lang.Object... recipe)

    - #### ShapelessOreRecipe

          public ShapelessOreRecipe(Item result,
                            java.lang.Object... recipe)

    - #### ShapelessOreRecipe

          public ShapelessOreRecipe(ItemStack result,
                            java.lang.Object... recipe)

  - ### Method Detail

    - #### getRecipeSize

          public int getRecipeSize()

      Specified by:
        `getRecipeSize` in interface `IRecipe`

    - #### getRecipeOutput

          public ItemStack getRecipeOutput()

      Specified by:
        `getRecipeOutput` in interface `IRecipe`

    - #### getCraftingResult

          public ItemStack getCraftingResult(InventoryCrafting var1)

      Specified by:
        `getCraftingResult` in interface `IRecipe`

    - #### matches

          public boolean matches(InventoryCrafting var1,
                        World world)

      Specified by:
        `matches` in interface `IRecipe`

    - #### getInput

          public java.util.ArrayList<java.lang.Object> getInput()

      Returns the input for this recipe, any mod accessing this value should never manipulate the values in this array as it will effect the recipe itself.
      Returns:
        The recipes input vales.